// Code generated by mockery v2.18.0. DO NOT EDIT.

package session

import (
	context "context"

	mock "github.com/stretchr/testify/mock"
)

// MockSession is an autogenerated mock type for the Session type
type MockSession struct {
	mock.Mock
}

// Close provides a mock function with given fields:
func (_m *MockSession) Close() {
	_m.Called()
}

// ExecuteScript provides a mock function with given fields: ctx, script
func (_m *MockSession) ExecuteScript(ctx context.Context, script string) error {
	ret := _m.Called(ctx, script)

	var r0 error
	if rf, ok := ret.Get(0).(func(context.Context, string) error); ok {
		r0 = rf(ctx, script)
	} else {
		r0 = ret.Error(0)
	}

	return r0
}

type mockConstructorTestingTNewMockSession interface {
	mock.TestingT
	Cleanup(func())
}

// NewMockSession creates a new instance of MockSession. It also registers a testing interface on the mock and a cleanup function to assert the mocks expectations.
func NewMockSession(t mockConstructorTestingTNewMockSession) *MockSession {
	mock := &MockSession{}
	mock.Mock.Test(t)

	t.Cleanup(func() { mock.AssertExpectations(t) })

	return mock
}
